<!DOCTYPE html>
<html lang="en" dir="ltr">

<head>
    <title>An Intro To Haskell | Home</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <meta name="description" content="This is a course page for Haskell, a course given at the Utrecht University.">
    <link rel="stylesheet" href="css/style.css">
    <link rel="icon" href="img/icon.png">
</head>


<body>
    <header>
        An Intro To Haskell
    </header>
    <nav>
        <label class="burger-icon" for="menu-toggle">&#9776;</label>
        <input type="checkbox" id="menu-toggle" />
        <ul class="menu">
            <li><a class="menu__item current" href="index.html">Home</a></li>
            <li><a class="menu__item" href="pages/schedule.html">Schedule</a></li>
            <li><a class="menu__item" href="pages/staff.html">Staff</a></li>
            <li><a class="menu__item" href="pages/assignments.html">Assignments</a></li>
            <li><a class="menu__item" href="pages/about.html">About</a></li>
            <li><a class="menu__item" href="pages/info.html">Info</a></li>
        </ul>
    </nav>
    <main>
        <div class="content">
            <div class="content__wrapper">
                <article>
                    <h1><strong>Bachelor Course on Haskell</strong></h1>
                    This course is for students of the Utrecht University who are looking to take their first steps into the world of functional programming, using the coding language Haskell.
                </article>
                <section>
                    <h2>
                        Teaching Objectives
                    </h2>
                    By the end of this course you will have to ability to:
                    <ul class="list">
                        <li>Create small technical programs using techniques such as:</li>
                        <li class="list-nested"><a href="https://wiki.haskell.org/Monad" target="_blank">Monads</a></li>
                        <li class="list-nested"><a href="https://wiki.haskell.org/Monoid" target="_blank">Monoids</a></li>
                        <li class="list-nested"><a href="https://wiki.haskell.org/Functor" target="_blank">Functors</a></li>
                        <li class="list-nested"><a href="https://wiki.haskell.org/Higher_order_function" target="_blank">Higher Order Functions</a></li>
                        <li class="list-nested"><a href="https://en.wikipedia.org/wiki/Recursion_(computer_science)" target="_blank">Recursion</a></li>
                        <li>Understand what it means to have Pure Code</li>
                        <li>Make a <a href="https://en.wikipedia.org/wiki/Ray_tracing_(graphics)" target="_blank">3D Ray Tracer</a> in Haskell</li>
                    </ul>
                </section>
                <section>
                    <h2>
                        News
                    </h2>
                    <section>
                        <h4>
                            17-02-2020: Initial Release
                        </h4>
                        <p>
                            First Release
                        </p>
                    </section>
                    <section>
                        <h4>
                            19-02-2020: Assignments
                        </h4>
                        <p>
                            The Assignments have been made public, we strongly advise you to start early! Good luck, may the Type Checks be with you!
                        </p>
                    </section>
                </section>
            </div>
        </div>
    </main>
    <script src="js/selectMenu.js"></script>
</body>

</html>